Register a new business ( DEPRECATED )
curl --request POST \
--url https://api.grailpay.com/3p/api/v1/register/business \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"should_do_kyb": "false",
"first_name": "John",
"last_name": "Doe",
"email": "abc@abc.com",
"phone": null,
"client_reference_id": null,
"billing_merchant_user_uuid": "9c330a70-84de-46c3-a380-70b34799b1d3",
"business": {
"name": "Jack Inc.",
"tin": "961862955",
"payout_type": "batch"
},
"address": {
"line_1": "20 Elmora Ave",
"line_2": "",
"city": "Elizabeth",
"state": "NJ",
"zip": "07202"
},
"business_owners": {
"first_name": "John",
"last_name": "Doe",
"dob": "1996-05-04",
"ssn9": "123456789",
"address_line_1": "778 E Encore Dr",
"city": "Hanford",
"state": "CA",
"zip": "93230"
},
"bank_account": {
"plaid": {
"access_token": "NJ",
"account_id": "07202"
},
"custom": {
"account_number": "12345678901234",
"routing_number": "056008849",
"account_name": "Jack Jones",
"account_type": "checking"
}
}
}
'import requests
url = "https://api.grailpay.com/3p/api/v1/register/business"
payload = {
"should_do_kyb": "false",
"first_name": "John",
"last_name": "Doe",
"email": "abc@abc.com",
"phone": None,
"client_reference_id": None,
"billing_merchant_user_uuid": "9c330a70-84de-46c3-a380-70b34799b1d3",
"business": {
"name": "Jack Inc.",
"tin": "961862955",
"payout_type": "batch"
},
"address": {
"line_1": "20 Elmora Ave",
"line_2": "",
"city": "Elizabeth",
"state": "NJ",
"zip": "07202"
},
"business_owners": {
"first_name": "John",
"last_name": "Doe",
"dob": "1996-05-04",
"ssn9": "123456789",
"address_line_1": "778 E Encore Dr",
"city": "Hanford",
"state": "CA",
"zip": "93230"
},
"bank_account": {
"plaid": {
"access_token": "NJ",
"account_id": "07202"
},
"custom": {
"account_number": "12345678901234",
"routing_number": "056008849",
"account_name": "Jack Jones",
"account_type": "checking"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
should_do_kyb: 'false',
first_name: 'John',
last_name: 'Doe',
email: 'abc@abc.com',
phone: null,
client_reference_id: null,
billing_merchant_user_uuid: '9c330a70-84de-46c3-a380-70b34799b1d3',
business: {name: 'Jack Inc.', tin: '961862955', payout_type: 'batch'},
address: {
line_1: '20 Elmora Ave',
line_2: '',
city: 'Elizabeth',
state: 'NJ',
zip: '07202'
},
business_owners: {
first_name: 'John',
last_name: 'Doe',
dob: '1996-05-04',
ssn9: '123456789',
address_line_1: '778 E Encore Dr',
city: 'Hanford',
state: 'CA',
zip: '93230'
},
bank_account: {
plaid: {access_token: 'NJ', account_id: '07202'},
custom: {
account_number: '12345678901234',
routing_number: '056008849',
account_name: 'Jack Jones',
account_type: 'checking'
}
}
})
};
fetch('https://api.grailpay.com/3p/api/v1/register/business', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"": {
"client_reference_id": "",
"uuid": "401c79dd-d38c-4c3a-8edf-1afac5914d2d",
"first_name": "John",
"last_name": "Doe",
"name": "Jack Inc.",
"tin": "961862955",
"user_status": "Approved|On Hold|Rejected",
"kyb_status": "Approved|In Review|Failed|null",
"kyb_rejected_reason": null,
"email": "",
"phone": "",
"financing_credit_balance": null,
"payout_type": null
},
"address": {
"street_address": "20 Elmora Ave",
"additional_address": "",
"city": "Elizabeth",
"state": "NJ",
"country": "US",
"zip": "07202"
},
"business_owners": {
"first_name": "Olive",
"last_name": "Vein",
"dob": "1996-05-04",
"ssn9": "123456789",
"address_line_1": "778 E Encore Dr",
"city": "Hanford",
"state": "CA",
"zip": "93230"
}
},
"created_at": "2024-06-03 15:58:44",
"updated_at": "2024-06-04 18:30:30",
"valid_account": null
}{
"status": false,
"message": "Invalid routing_number: 000000001. This routing number has an invalid check digit.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Access denied. Please use a secure (HTTPS) connection.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The requested billing merchant user uuid does not exist.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The given data was invalid.",
"data": null,
"errors": {
"first_name": [
"The first name must be a string."
]
},
"error_code": null
}Users
Register a new business ( DEPRECATED )
This Endpoint is deprecated. Deprecated APIs that are no longer supported and should be removed from your integration. Please use the Stable version for your integration.
POST
/
3p
/
api
/
v1
/
register
/
business
Register a new business ( DEPRECATED )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Body
application/json
Example:
"false"
Example:
"John"
Example:
"Doe"
Example:
"abc@abc.com"
Example:
null
Example:
null
Example:
"9c330a70-84de-46c3-a380-70b34799b1d3"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
